<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>

<html>
<!-- art_and_photography-002 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body style="margin:0px; ">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" style="background:url('images/bg.gif');">
      <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top" height="384" style="background:url('images/header_2.gif'); background-repeat:repeat-x;">
          <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td valign="top" height="384" style="background:url('images/header.jpg') no-repeat;">
                <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="384" valign="top" style="background:url('images/header_1.jpg') no-repeat; background-position:right top;">
					<table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td height="120" align="right"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td >
			<!-- LOGO -->
			        
			    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                  <td width="60"><div style="width:60px; "></div></td>
                                  <td width="24" align="right">
                                     <a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a>
                                  </td>
                                  <td align="left" class="company">
                                   <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                                  </td>
                                </tr>
                                <tr>
                                <td colspan="3" width="280" ><div style="width:280px"></div></td>
                                </tr>
                            </table>
                           
			<!-- END LOGO -->
				</td>
                            <td align="left">
		<!-- MENU -->	
		<table  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                         <xsl:call-template name="TOP-MENU"/>
                        <td><div style="width:40px; "></div></td>
                      </tr>
                    </table>
	  <!-- END MENU -->
							</td>
                          </tr>
                        </table></td>
                      </tr>
                      <tr>
                        <td height="140" align="right" valign="bottom" >
				<!-- SLOGAN -->
                        <table  border="0" width="70%" align="right" cellspacing="0" cellpadding="0" >
                          <tr>
                            <td class="slogan" align="right">
                             <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> 
                            </td>
                            <td width="42" style="padding-left:10px; ">
                            <img src="images/slogan.gif" width="42" height="23"/>
                            </td>
                            <td width="164"><div style="width:164px; "></div></td>
                          </tr>
                        </table>
                        <!-- END SLOGAN --></td>
                      </tr>
                    </table></td>
                  </tr>
              </table></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td valign="top">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td valign="top" width="25%"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="80"><div style="width:80px; "></div></td>
                    <td><div style="width:182px; ">
					
		<!-- SUB MENU-->
                        <table width="100%"  border="0" cellspacing="1" cellpadding="0">
                          <tr>
                            <td colspan="2">
                              <div style="height:15px; "></div>
                            </td>
                          </tr>
                          <xsl:call-template name="SUB-MENU">
               	          <xsl:with-param name="pageID" select="@ID"/>                            
                          </xsl:call-template>  
                        </table>
		<!--END SUB MENU-->
                    </div></td>
                    <td width="50"><div style="width:50px; "></div></td>
                  </tr>
              </table></td>
              <td width="75%" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="60" valign="bottom">
			<!-- TEXT HEADER-->
					<table  border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td class="text-header">
                         <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                          </td>
                          <td width="20" style="padding-left:10px; "><img src="images/text_button.gif" width="17" height="17"/></td>
                        </tr>
                    </table>
		    <!-- TEXT HEADER-->
					</td>
                  </tr>
                  <tr>
                    <td align="left" >
                    <table width="100%" height="90%"  border="0" cellpadding="0" cellspacing="0">
                        <tr>
				<!--CONTENT -->
                          <td valign="top" class="pageContent" name="SB_stretch">
                          <div align="left">
                           <xsl:apply-templates select="PAGE-CONTENT"/>
                            </div>
                            </td>
				<!-- END CONTENT -->
                          <td><div style="width:40px; "></div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td valign="top" height="112" style="background:url('images/footer_bg.gif');"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td valign="top" height="112" style="background:url('images/footer1.gif') no-repeat;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="112" style="background:url('images/footer2.gif'); background-repeat:no-repeat; background-position:right;"><table width="100%" height="40" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="50%" valign="bottom">
						<table width="100%"  border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td width="50"><div style="width:40px; "></div></td>
						<!-- FOOTER-->
                            <td class="footer"><div align="center">
                             <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                            </div></td>
						<!-- END FOOTER-->
                          </tr>
                        </table></td>
                        <td width="50%" valign="bottom">
		<!-- BOTTOM MENU-->
			<table  border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td width="54"><div style="width:40px; "></div></td>
                            <xsl:call-template name="BOTTOM-MENU"/>
                            <td width="60"><div style="width:60px; "></div></td>
                          </tr>
                        </table>
		<!--END BOTTOM MENU-->
						</td>
                      </tr>
                    </table></td>
                  </tr>
              </table></td>
            </tr>
        </table></td>
      </tr>
    </table>	</td>
  </tr>
</table>
</body>
</html>




</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
			        <td class="asubmenu" align="left" style="padding-left:10px;">
				  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
				<td>
				  <img src="images/button_sub.gif" border="0" alt=""/>
				</td>
				
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
				       <td align="left" style="padding-left:10px;" >
					  <a href="{@HREF}" class="submenu">
					    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					  </a>
				        </td>
				        <td>
				        <a href="{@HREF}">
				           <img src="images/button_sub.gif" border="0" alt=""/>
				        </a>
				        </td>
					
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	  <tr>
	      <td colspan="2" height="10" style="background:url('images/hr.gif');background-repeat:repeat-x;background-position:center;" width="100%">
              <div style="height:1px"></div>
              </td>	
	 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		
			<td align="center" width="80">
        <a href="{@HREF}" class="abmenu" id="abmenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </a>
      </td>

    </xsl:when>
    <!-- when active-->
    
           <xsl:otherwise>
		   
		<td align="center" width="80">
			<a href="{@HREF}" class="bmenu" id="bmenu{position()}">
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</a>
		</td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10px" align="center" rowspan="2">
			    <img src="images/bottom.gif" />
			</td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

