<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- art_and_photography-003 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" BGCOLOR="#373737">	
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" BGCOLOR="#373737">
  <tr>
    <td><img src="images/blank.gif" width="50" height="5"/></td>
    <td width="100%" align="center" valign="top">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
			<td width="5"><img src="images/0.gif" width="5" height="1" /></td>
			  <td>
				  <table width="251" border="0" cellpadding="0" cellspacing="0">
					  <tr>
						<td width="51" rowspan="2" style="padding-right: 5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a> </td>
						<td width="200" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/> </td>
					  </tr>
					  <tr>
						<td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
					  </tr>
				  </table>
			  </td>
			  <td align="right">
					<!-- MENU -->
					<table border="0" cellspacing="0" cellpadding="0">
					<tr> <xsl:call-template name="TOP-MENU"/> </tr>
					</table>
					<!-- END MENU -->
			  </td>
			</tr>
		</table>
	</td>
    <td><img src="images/blank.gif" width="50" height="5"/></td>
  </tr>
  <tr>
    <td></td>
    <td align="center" valign="top">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="5" style="background-image:url(images/bg.gif);background-repeat:repeat-y;background-position:right;"><img src="images/0.gif" width="5" height="1" /></td>
			<td colspan="3" background="images/bg.gif"><img src="images/0.gif" width="1" height="1" /></td>
			<td background="images/bg.gif"><img src="images/0.gif" width="1" height="1" /></td>
		  </tr>
        <tr>
			<td width="5" style="background-image:url(images/bg.gif);background-repeat:repeat-y;background-position:right;"><img src="images/0.gif" width="5" height="1" /></td>
          <td><img src="images/header1.jpg" width="4" height="206"/></td>
          <td><img src="images/header2.jpg" width="184" height="206"/></td>
          <td width="100%" align="left" background="images/header4.jpg"><img src="images/header3.jpg" width="475" height="206"/></td>
			<td background="images/bg.gif"><img src="images/0.gif" width="1" height="1" /></td>
        </tr>
		  <tr>
			<td width="5" style="background-image:url(images/bg.gif);background-repeat:repeat-y;background-position:right;"><img src="images/0.gif" width="5" height="1" /></td>
			<td colspan="3" background="images/bg.gif"><img src="images/0.gif" width="1" height="1" /></td>
			<td background="images/bg.gif"><img src="images/0.gif" width="1" height="1" /></td>
		  </tr>
		</table>
	
	</td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td height="100%" align="center" valign="top">
		<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
		
		  <tr>
			<td width="193" valign="top">
			<table border="0" cellspacing="0" cellpadding="0">
			<tr>
			  <td width="9"  style="background-image: url('images/ybg.gif'); background-position: top; background-repeat: repeat-y;"></td>
			  <td width="184" align="center" valign="top">
			  	<!-- SUBMENU -->
				  <table width="160" border="0" cellspacing="0" cellpadding="0">
					<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
				  </table>
				  <!-- END SUBMENU -->
			  </td>
			</tr>
			</table>
			<br/>
			<br/>
			<img src="images/0.gif" width="193" height="1" />
			</td>
			<td background="images/bg.gif"><img src="images/0.gif" width="1" height="1" /></td>
			<td width="100%" height="100%" valign="top" style="padding-left: 20px; padding-right: 20px; padding: 25px;" >
				<!-- CONTENT -->
				<table cellpadding="0" cellspacing="0" border="0">
				  <tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
				  </tr>
				</table>
				<div style="width:0px; height:15px;"><span></span></div>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
				<!-- END CONTENT -->
			
			</td>
		  </tr>

		</table>
	</td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td align="center" valign="top">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="4" style="background-image:url(images/bg.gif);background-repeat:repeat-y;background-position:right;"><img src="images/0.gif" width="5" height="1" /></td>
			<td width="100%" background="images/bg.gif"><img src="images/0.gif" width="1" height="1" /></td>
		  </tr>
		  <tr align="center" valign="top">
			<td width="4" height="100"><img src="images/0.gif" width="4" height="100" /></td>
			<td><div style="width:0px; height:20px;"><span></span></div>
				<!-- BOTTOM MENU -->
				<table cellpadding="0" cellspacing="0" align="center">
				  <tr> <xsl:call-template name="BOTTOM-MENU"/> </tr>
				</table>
				<!-- END BOOTTOM MENU -->
				<div style="width:0px; height:15px;"><span></span></div>
				<!-- FOOTER -->
				<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
				<!-- END FOOTER -->
				<div style="width:0px; height:10px;"><span></span></div></td>
		  </tr>

		</table>
	
	</td>
    <td></td>
  </tr>
</table>
</center>
</BODY>
</html>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	  <tr>
	    <td width="157" height="30" class="asubmenu">
		   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
		</td>
        <td width="15"><img src="images/b.gif" width="5" height="7" /></td>
	  </tr>
   </xsl:when>
   <xsl:otherwise>
   <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    <tr>
        <td width="157" height="30">
		  <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
		</td>
        <td width="15"><img src="images/b.gif" width="5" height="7" /></td>
	</tr>
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
       <tr> 
	      <td colspan="2"><div align="center"><img src="images/line.gif" width="137" height="1" /></div></td>
	   </tr>  
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
            <td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
              <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td width="5"></td>
<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
